<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF2150"
	title	= "XML出力"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<og:columnCheck
	command   = "{@command}"
	nullCheck = "SYSTEM_ID"
/>

<table>

<!-- GF01 作成 -->
<tr><td>Table Space</td><td>(GF01 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLESPACE_NAME,NAME_JA,
				FILE_NAME,SIZE_AUTO,SIZE_DATA,STATUS,FGJ
		from GF01
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLESPACE_NAME,NAME_JA,TBLSYU
	</jsp:text>
</og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF01.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF01" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF01 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF02 作成 -->
<tr><td>Table</td><td>(GF02 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLE_NAME,NAME_JA,SKENSU,JKENSU,TABLESPACE_NAME,
				INITIAL_AUTO,INITIAL_EXTENT,COMMENTS,FGJ
		from GF02
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLE_NAME,NAME_JA,TBLSYU
	</jsp:text>
</og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF02.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF02" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF02 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF05 作成 -->
<tr><td>Table Column</td><td>(GF05 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLE_NAME,CLM,SEQNO,NAME_JA,CLS_NAME,
				USE_LENGTH,DATA_DEFAULT,NOT_NULL,FGCOM,RENDERER,EDITOR,DBTYPE,BIKO,FGJ
		from GF05
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLE_NAME,CLM,SEQNO,TBLSYU
	</jsp:text>
</og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF05.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF05" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF05 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF06 作成 -->
<tr><td>Index</td><td>(GF06 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLE_NAME,INDEX_NAME,NAME_JA,INDTYPE,
				TABLESPACE_NAME,INITIAL_AUTO,INITIAL_EXTENT,NEXT_EXTENT,BIKO,FGJ
		from GF06
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLE_NAME,INDEX_NAME,TBLSYU
	</jsp:text>
</og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF06.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF06" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF06 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF07 作成 -->
<tr><td>Index Column</td><td>(GF07 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLE_NAME,INDEX_NAME,CLM,SEQNO,FGJ
		from GF07
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLE_NAME,INDEX_NAME,CLM,SEQNO,TBLSYU
	</jsp:text>
  </og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF07.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF07" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF07 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF08 作成 -->
<tr><td>Table Dependences</td><td>(GF08 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,TABLE_NAME_L,CLM_L,TABLE_NAME_R,CLM_R,SEQNO,JOINTYPE,FGJ
		from GF08
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by TABLE_NAME_L,TABLE_NAME_R,SEQNO
	</jsp:text>
  </og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF08.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF08" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF08 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

<!-- GF09 作成 -->
<tr><td>Index Column</td><td>(GF09 XML File)</td><td width="10px"></td><td class="S9">
<og:query command="{@command}" debug="{@debug}" maxRowCount="50000">
	<jsp:text>
		select SYSTEM_ID,TBLSYU,SEQNAME,INCREBY,STARTVAL,MINVAL,MAXVAL,FGCYCLE,SUCACHE,TABLE_NAME,CLM,FGJ
		from GF09
		where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
		and   TBLSYU like '{@TBLSYU}%'
		and   FGJ       = '1'
		order by SEQNAME
	</jsp:text>
  </og:query>
<og:value command="GET" key="DB.COUNT" />
<og:writeTable
	fileURL        = "{@USER.ID}"
	filename       = "GF09.xml"
	writerClass    = "XML"
	encode         = "UTF-8" >
	<og:writeTableParam key="TableName" value="GF09" />
	<og:writeTableParam key="First" >
		<jsp:text>delete from GF09 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'</jsp:text>
	</og:writeTableParam>
</og:writeTable>

</td></tr>

</table>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
